Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.3.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIContextMenu

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.AbstractMenuContainer
                  org.richfaces.component.AbstractContextMenu
                      org.richfaces.component.UIContextMenu

All Implemented Interfaces:
  EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

    @Generated(value={"RichFaces CDK","4.2.3.CR1"})
    public class UIContextMenu

extends AbstractContextMenu
implements javax.faces.component.behavior.ClientBehaviorHolder

The <rich:contextMenu> component is used for creating a hierarchical context menu that are activated on events like onmouseover, onclick etc. The component can be applied to any element on the page.

Author:
  Brian Leathem

Nested Class Summary
`protected static class` | `UIContextMenu.Properties`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIContextMenu()`

Method Summary
`String` | `getDefaultEventName()`
`String` | `getDir()`
`org.richfaces.component.Positioning` | `getDirection()`
`Collection<String>` | `getEventNames()`
`String` | `getFamily()`
`int` | `getHideDelay()` Delay (in ms) between losing focus and menu closing
`int` | `getHorizontalOffset()`
`org.richfaces.component.Positioning` | `getJointPoint()`
`String` | `getLang()`
`org.richfaces.component.Mode` | `getMode()` Sets the submission mode for all menu items of the menu except those where this attribute redefined.
`String` | `getOnclick()`
`String` | `getOndblclick()`
`String` | `getOngrouphide()` The client-side script method to be called when a child menuGroup is hidden
`String` | `getOngroupshow()` The client-side script method to be called when a child menuGroup is expanded
`String` | `getOnhide()` The client-side script method to be called when this menu component is hidden
`String` | `getOnitemclick()` The client-side script method to be called when a menu item is clicked
`String` | `getOnkeydown()`
`String` | `getOnkeypress()`
`String` | `getOnkeyup()`
`String` | `getOnmousedown()`
`String` | `getOnmousemove()`
`String` | `getOnmouseout()`
`String` | `getOnmouseover()`
`String` | `getOnmouseup()`
`String` | `getOnshow()` The client-side script method to be called when this menu component is shown
`int` | `getPopupWidth()` Sets minimum width for all lists that will appear.
`int` | `getShowDelay()` Delay (in ms) between observing the showEvent and menu opening
`String` | `getShowEvent()` Defines an event on the parent element to display the menu
`String` | `getStyle()`
`String` | `getStyleClass()`
`String` | `getTarget()` Client identifier of the component or id of the existing DOM element that is a source for a given event.
`String` | `getTargetSelector()` The jQuery selector used to filter which child DOM elements of the target/parent to which the contextMenu will be attached.
`String` | `getTitle()`
`int` | `getVerticalOffset()`
`boolean` | `isAttached()` If the value of the 'attached' attribute is true, the component is attached to the component, specified in the 'target' attribute or to the parent component, if 'target' is not defined.
`boolean` | `isDisabled()` Disables the menu component, so it will not activate/expand
`void` | `setAttached(boolean attached)`
`void` | `setDir(String dir)`
`void` | `setDirection(org.richfaces.component.Positioning direction)`
`void` | `setDisabled(boolean disabled)`
`void` | `setHideDelay(int hideDelay)`
`void` | `setHorizontalOffset(int horizontalOffset)`
`void` | `setJointPoint(org.richfaces.component.Positioning jointPoint)`
`void` | `setLang(String lang)`
`void` | `setMode(org.richfaces.component.Mode mode)`
`void` | `setOnclick(String onclick)`
`void` | `setOndblclick(String ondblclick)`
`void` | `setOngrouphide(String ongrouphide)`
`void` | `setOngroupshow(String ongroupshow)`
`void` | `setOnhide(String onhide)`
`void` | `setOnitemclick(String onitemclick)`
`void` | `setOnkeydown(String onkeydown)`
`void` | `setOnkeypress(String onkeypress)`
`void` | `setOnkeyup(String onkeyup)`
`void` | `setOnmousedown(String onmousedown)`
`void` | `setOnmousemove(String onmousemove)`
`void` | `setOnmouseout(String onmouseout)`
`void` | `setOnmouseover(String onmouseover)`
`void` | `setOnmouseup(String onmouseup)`
`void` | `setOnshow(String onshow)`
`void` | `setPopupWidth(int popupWidth)`
`void` | `setShowDelay(int showDelay)`
`void` | `setShowEvent(String showEvent)`
`void` | `setStyle(String style)`
`void` | `setStyleClass(String styleClass)`
`void` | `setTarget(String target)`
`void` | `setTargetSelector(String targetSelector)`
`void` | `setTitle(String title)`
`void` | `setVerticalOffset(int verticalOffset)`

Methods inherited from class org.richfaces.component.AbstractContextMenu
`getCssRoot`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIContextMenu

    public UIContextMenu()

Method Detail

### getFamily

    public String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### getEventNames

    public Collection<String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### isAttached

    public boolean isAttached()

  Description copied from class: `AbstractContextMenu`
  If the value of the 'attached' attribute is true, the component is attached to the component, specified in the 'target' attribute or to the parent component, if 'target' is not defined. Default value is 'true'.

  Specified by:
    `isAttached` in class `AbstractContextMenu`

### setAttached

    public void setAttached(boolean attached)

### getDir

    public String getDir()

### setDir

    public void setDir(String dir)

### getDirection

    public org.richfaces.component.Positioning getDirection()

  Specified by:
    `getDirection` in class `AbstractMenuContainer`

### setDirection

    public void setDirection(org.richfaces.component.Positioning direction)

### isDisabled

    public boolean isDisabled()

  Description copied from class: `AbstractMenuContainer`
  Disables the menu component, so it will not activate/expand

  Specified by:
    `isDisabled` in class `AbstractMenuContainer`

### setDisabled

    public void setDisabled(boolean disabled)

### getHideDelay

    public int getHideDelay()

  Description copied from class: `AbstractMenuContainer`

  Delay (in ms) between losing focus and menu closing

  Default value is "300"

  Specified by:
    `getHideDelay` in class `AbstractMenuContainer`

### setHideDelay

    public void setHideDelay(int hideDelay)

### getHorizontalOffset

    public int getHorizontalOffset()

  Specified by:
    `getHorizontalOffset` in class `AbstractMenuContainer`

### setHorizontalOffset

    public void setHorizontalOffset(int horizontalOffset)

### getJointPoint

    public org.richfaces.component.Positioning getJointPoint()

  Specified by:
    `getJointPoint` in class `AbstractContextMenu`

### setJointPoint

    public void setJointPoint(org.richfaces.component.Positioning jointPoint)

### getLang

    public String getLang()

### setLang

    public void setLang(String lang)

### getMode

    public org.richfaces.component.Mode getMode()

  Description copied from class: `AbstractMenuContainer`

  Sets the submission mode for all menu items of the menu except those where this attribute redefined. Possible value are 'ajax','client' and 'server'

  Default value is 'server'

  Specified by:
    `getMode` in class `AbstractMenuContainer`

### setMode

    public void setMode(org.richfaces.component.Mode mode)

### getOnclick

    public String getOnclick()

### setOnclick

    public void setOnclick(String onclick)

### getOndblclick

    public String getOndblclick()

### setOndblclick

    public void setOndblclick(String ondblclick)

### getOngrouphide

    public String getOngrouphide()

  Description copied from class: `AbstractMenuContainer`
  The client-side script method to be called when a child menuGroup is hidden

  Specified by:
    `getOngrouphide` in class `AbstractMenuContainer`

### setOngrouphide

    public void setOngrouphide(String ongrouphide)

### getOngroupshow

    public String getOngroupshow()

  Description copied from class: `AbstractMenuContainer`
  The client-side script method to be called when a child menuGroup is expanded

  Specified by:
    `getOngroupshow` in class `AbstractMenuContainer`

### setOngroupshow

    public void setOngroupshow(String ongroupshow)

### getOnhide

    public String getOnhide()

  Description copied from class: `AbstractMenuContainer`
  The client-side script method to be called when this menu component is hidden

  Specified by:
    `getOnhide` in class `AbstractMenuContainer`

### setOnhide

    public void setOnhide(String onhide)

### getOnitemclick

    public String getOnitemclick()

  Description copied from class: `AbstractMenuContainer`
  The client-side script method to be called when a menu item is clicked

  Specified by:
    `getOnitemclick` in class `AbstractMenuContainer`

### setOnitemclick

    public void setOnitemclick(String onitemclick)

### getOnkeydown

    public String getOnkeydown()

### setOnkeydown

    public void setOnkeydown(String onkeydown)

### getOnkeypress

    public String getOnkeypress()

### setOnkeypress

    public void setOnkeypress(String onkeypress)

### getOnkeyup

    public String getOnkeyup()

### setOnkeyup

    public void setOnkeyup(String onkeyup)

### getOnmousedown

    public String getOnmousedown()

### setOnmousedown

    public void setOnmousedown(String onmousedown)

### getOnmousemove

    public String getOnmousemove()

### setOnmousemove

    public void setOnmousemove(String onmousemove)

### getOnmouseout

    public String getOnmouseout()

### setOnmouseout

    public void setOnmouseout(String onmouseout)

### getOnmouseover

    public String getOnmouseover()

### setOnmouseover

    public void setOnmouseover(String onmouseover)

### getOnmouseup

    public String getOnmouseup()

### setOnmouseup

    public void setOnmouseup(String onmouseup)

### getOnshow

    public String getOnshow()

  Description copied from class: `AbstractMenuContainer`
  The client-side script method to be called when this menu component is shown

  Specified by:
    `getOnshow` in class `AbstractMenuContainer`

### setOnshow

    public void setOnshow(String onshow)

### getPopupWidth

    public int getPopupWidth()

  Description copied from class: `AbstractMenuContainer`
  Sets minimum width for all lists that will appear.

  Specified by:
    `getPopupWidth` in class `AbstractMenuContainer`

### setPopupWidth

    public void setPopupWidth(int popupWidth)

### getShowDelay

    public int getShowDelay()

  Description copied from class: `AbstractMenuContainer`

  Delay (in ms) between observing the showEvent and menu opening

  Default value is "50"

  Specified by:
    `getShowDelay` in class `AbstractMenuContainer`

### setShowDelay

    public void setShowDelay(int showDelay)

### getShowEvent

    public String getShowEvent()

  Description copied from class: `AbstractMenuContainer`

  Defines an event on the parent element to display the menu

  Default value is 'oncontextmenu'

  Specified by:
    `getShowEvent` in class `AbstractMenuContainer`

### setShowEvent

    public void setShowEvent(String showEvent)

### getStyle

    public String getStyle()

### setStyle

    public void setStyle(String style)

### getStyleClass

    public String getStyleClass()

### setStyleClass

    public void setStyleClass(String styleClass)

### getTarget

    public String getTarget()

  Description copied from class: `AbstractContextMenu`
  Client identifier of the component or id of the existing DOM element that is a source for a given event. If target is defined, the event is attached on the client. If both attached and target attributes are defined, and attribute attached has value 'false', it is considered to have higher priority.

  Specified by:
    `getTarget` in class `AbstractContextMenu`

### setTarget

    public void setTarget(String target)

### getTargetSelector

    public String getTargetSelector()

  Description copied from class: `AbstractContextMenu`
  The jQuery selector used to filter which child DOM elements of the target/parent to which the contextMenu will be attached.

  Specified by:
    `getTargetSelector` in class `AbstractContextMenu`

### setTargetSelector

    public void setTargetSelector(String targetSelector)

### getTitle

    public String getTitle()

### setTitle

    public void setTitle(String title)

### getVerticalOffset

    public int getVerticalOffset()

  Specified by:
    `getVerticalOffset` in class `AbstractMenuContainer`

### setVerticalOffset

    public void setVerticalOffset(int verticalOffset)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.3.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.